Bug 112273 - dhclient overwrites ntp.conf
dhclient overwrites ntp.conf
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: dhcp (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-16 18:02 EST by Bart Martens
Modified: 2007-04-18 13:00 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-17 07:01:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bart Martens 2003-12-16 18:02:49 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1)
Gecko/20030225

Description of problem:
When dhclient retrieves an ntp server from the dhcp server, then
/sbin/dhclient-script overwrites /etc/ntp.conf instead of modifying
/etc/ntp.conf or adding the ntp server to /etc/ntp.conf.

Also the sysadmin should be able to turn off any modifications to
/etc/ntp.conf with a variable in
/etc/sysconfig/network-scripts/ifcfg-eth0, similar to PEERDNS=no for
not modifying /etc/resolv.conf.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Server: dhcp server including one or more ntp servers in the reply.
Client:
- ntp up and running, with /etc/ntp.conf manually edited
- dhclient fetching ip address and ntp servers from the dhcp server


Actual Results:  The file /etc/ntp.conf is overwritten.


Expected Results:  The file /etc/ntp.conf should be modified, either
by adding the new ntp servers, or by replacing the ntp servers.

The sysadmin should have an option, similar to PEERDNS for
/etc/resolv.conf, to turn of any modifications to /etc/ntp.conf.


Additional info:

Workaround: modify /sbin/dhclient-script to no longer modify ntp.conf.

Solution: modify /sbin/dhclient-script to support PEERNTP similar to
PEERDNS.
Comment 1 Bart Martens 2003-12-16 18:10:56 EST
Changed component to "dhcp".
Comment 2 Daniel Walsh 2003-12-17 07:01:24 EST
dhcp-3_0pl2-6_16 has support for PEERNTP.

Dan
Comment 3 John Flanagan 2004-12-21 14:42:07 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-566.html

Note You need to log in before you can comment on or make changes to this bug.